Skip to main content
POST
Create

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

The organization's id (UUID) or slug — either form is accepted.

Body

application/json
name
string
required
Pattern: ^[a-z][a-z0-9-]{1,61}$
endpoint
string<uri>
required

HTTPS endpoint for compatible custom object storage.

bucket
string
required
credentials
object
required
prefix
string

Optional repository prefix using ASCII letters, digits, dot, underscore, slash, or hyphen. It cannot begin with a slash or contain two consecutive dots.

Maximum string length: 1024
Pattern: ^(?!/)(?!.*\.\.)[A-Za-z0-9._/-]*$
region
string | null

Response

Destination registered; credentials are not returned.

id
string
required
name
string
required
Pattern: ^[a-z][a-z0-9-]{1,61}$
kind
enum<string>
required
Available options:
custom_object_storage
endpoint
string<uri>
required
bucket
string
required
prefix
string
required

Optional repository prefix using ASCII letters, digits, dot, underscore, slash, or hyphen. It cannot begin with a slash or contain two consecutive dots.

Maximum string length: 1024
Pattern: ^(?!/)(?!.*\.\.)[A-Za-z0-9._/-]*$
region
string | null
required
version
integer
required

Active immutable configuration version.

status
enum<string>
required
Available options:
pending,
ready,
failed
lastTestedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required